/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"

namespace morpheo              {
namespace behavioural          {

  XML Interfaces::toXML (void)
  {
    XML xml ("interfaces");
    
//     xml.balise_open ("interfaces");

    if (_list_interface.empty()== false)
      {
	list<Interface>::iterator i     = _list_interface.begin();

	while (i != _list_interface.end())
	  {
	    xml.  insert_XML ((*i).toXML());
	    ++i;
	  }
      }

//     xml.balise_close      ();
     
    return xml;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
